# -*- coding: utf-8 -*-

from __future__ import division

from django_response import response
from paginator import pagination

from registration.models import (BranchCampusAdministratorInfo, BranchCampusInfo, CourseRegisterInfo,
                                 UserCourseRegisterInfo)


def add_branch_campus(request):
    campus_name = request.POST.get('campus_name', '')

    campus = BranchCampusInfo.objects.create(campus_name=campus_name)

    return response(data={
        'campus_id': campus.campus_id,
    })


def update_branch_campus(request):
    campus_id = request.POST.get('campus_id', '')
    campus_name = request.POST.get('campus_name', '')

    BranchCampusInfo.objects.filter(campus_id=campus_id).update(campus_name=campus_name)
    BranchCampusAdministratorInfo.objects.filter(campus_id=campus_id).update(campus_name=campus_name)
    CourseRegisterInfo.objects.filter(campus_id=campus_id).update(campus_name=campus_name)
    UserCourseRegisterInfo.objects.filter(campus_id=campus_id).update(campus_name=campus_name)

    return response()


def get_branch_campus_list(request):
    page = request.POST.get('page', 1)
    num = request.POST.get('num', 20)

    campus = BranchCampusInfo.objects.filter(status=True)
    count = campus.count()
    campus, left = pagination(campus, page, num)
    campus = [c.data for c in campus]

    return response(data={
        'logs': campus,
        'count': count,
        'left': left,
    })


def delete_branch_campus(request):
    campus_id = request.POST.get('campus_id', '')

    BranchCampusInfo.objects.filter(campus_id=campus_id).update(status=False)

    return response()
