# -*- coding: utf-8 -*-

from django.conf.urls import url

from api import (branch_campus_admin_views, branch_campus_views, course_field_views, course_register_views,
                 course_views, mini_views, oauth_views, wx_views)


urlpatterns = [
    url(r'^3rd/or$', oauth_views.oauth_redirect, name='3rd_or'),
    url(r'^3rd/oauth_redirect$', oauth_views.oauth_redirect, name='3rd_oauth_redirect'),
]

urlpatterns += [
    url(r'^get_limit_scene_qrcode_url$', wx_views.get_limit_scene_qrcode_url, name='get_limit_scene_qrcode_url'),
]

urlpatterns += [
    url(r'^branch/campus/add$', branch_campus_views.add_branch_campus, name='add_branch_campus'),
    url(r'^branch/campus/update$', branch_campus_views.update_branch_campus, name='update_branch_campus'),
    url(r'^branch/campus/list$', branch_campus_views.get_branch_campus_list, name='get_branch_campus_list'),
    url(r'^branch/campus/delete$', branch_campus_views.delete_branch_campus, name='delete_branch_campus'),
]

urlpatterns += [
    url(r'^branch/campus/admin/add$', branch_campus_admin_views.add_branch_campus_admin, name='add_branch_campus_admin'),
    url(r'^branch/campus/admin/update$', branch_campus_admin_views.update_branch_campus_admin, name='update_branch_campus_admin'),
    url(r'^branch/campus/admin/list$', branch_campus_admin_views.get_branch_campus_admin_list, name='get_branch_campus_admin_list'),
    url(r'^branch/campus/admin/delete$', branch_campus_admin_views.delete_branch_campus_admin, name='delete_branch_campus_admin'),
    url(r'^branch/campus/admin/login$', branch_campus_admin_views.login_branch_campus_admin, name='login_branch_campus_admin'),
]

urlpatterns += [
    url(r'^course/add$', course_views.add_course, name='add_course'),
    url(r'^course/update$', course_views.update_course, name='update_course'),
    url(r'^course/list$', course_views.get_course_list, name='get_course_list'),
    url(r'^course/delete$', course_views.delete_course, name='delete_course'),
]

urlpatterns += [
    url(r'^course/field/default$', course_field_views.get_course_field_default, name='get_course_field_default'),

    url(r'^course/field/add$', course_field_views.add_course_field, name='add_course_field'),
    url(r'^course/field/update$', course_field_views.update_course_field, name='update_course_field'),
    url(r'^course/field/get$', course_field_views.get_course_field, name='get_course_field'),
    url(r'^course/field/list$', course_field_views.get_course_field_list, name='get_course_field_list'),
    url(r'^course/field/delete$', course_field_views.delete_course_field, name='delete_course_field'),
]

# Mini App
urlpatterns += [
    url(r'^mini/userinfo$', mini_views.get_userinfo_api, name='get_userinfo_api'),  # 获取用户信息
    url(r'^mini/login$', mini_views.mini_login_api, name='mini_login_api'),  # 小程序登录
    url(r'^mini/userinfo2$', mini_views.get_userinfo_api2, name='get_userinfo_api2'),  # 获取用户信息
]

urlpatterns += [
    url(r'^course/register$', course_register_views.course_register, name='course_register'),
    url(r'^course/register/list$', course_register_views.course_register_list, name='course_register_list'),
]
